Subject: Re: bug#53316: 28.0.91; Missing Transient manual in Emacs

From: Jonas Bernoulli <[email-masked]>
Date: Tue, 15 Feb 2022 17:57:56 +0100

Jonas Bernoulli <[email-masked]> writes:

> Philipp Stephani <[email-masked]> writes:
>
>>> Am 25.01.2022 um 21:30 schrieb Jonas Bernoulli <[email-masked]>:
>>> 
>>> Lars Ingebrigtsen <[email-masked]> writes:
>>> 
>>>> Philipp Stephani <[email-masked]> writes:
>>>> 
>>>>> Transient has its own manual (transient.org/.texi), but that's missing
>>>>> from the version shipped with Emacs.  Could we add the manual to the
>>>>> Emacs release?
>>>> 
>>>> Sounds like a good idea to me; adding Jonas to the CCs.
>>> 
>>> Agreed.  I was planning to create a new release first and merge that
>>> into "emacs-28" before doing so, but it seems the ship has sailed.
>>> 
>>> On the other hand it contains important bug fixes (but also new
>>> features) and nothing on "emacs-28" uses it yet.  So maybe it would
>>> still be okay to update even during the pre-release phase; I don't know.
>>> Removing it from "emacs-28" and only releasing it in 29 (or maybe 28.2)
>>> might also be an option.
>>
>> Or maybe it would be feasible to add the manual version that
>> corresponds to the Emacs 28 version?
>
> Yes.  Just saying that wasn't the plan.  (And that won't make the bugs
> go away.  And some of them were quite severe, but I believe that those
> that made it necessary to kill Emacs from the outside have at least
> been neutered, i.e. there's still an error but Emacs remains usable.)

I had another look and I think we are safe going with v0.3.7.  While
that comes after the "big refactor to squash the big bug" changes it
does comes right after the "remove booby trap" commit.  Actually I
think that commit is why I released v0.3.7.  ;P

     Jonas